Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Interface AbstractConcurrentMapBase.Entry<V>

All Known Subinterfaces:
  AbstractConcurrentMap.Entry<K,V>

All Known Implementing Classes:
  ClassInfo, ManagedConcurrentMap.Entry, ManagedConcurrentMap.EntryWithValue

Enclosing class:
  AbstractConcurrentMapBase

    public static interface AbstractConcurrentMapBase.Entry<V>

Method Summary
Modifier and Type | Method and Description
--- | ---
`int` | `getHash()`
`V` | `getValue()`
`boolean` | `isValid()`
`void` | `setValue(V value)`

Method Detail

### getValue

    V getValue()

### setValue

    void setValue(V value)

### getHash

    int getHash()

### isValid

    boolean isValid()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD